---
title: max-inline-size
slug: Web/CSS/max-inline-size
tags:
  - CSS
  - CSS Logical Properties
  - CSS Logical Property
  - CSS Property
  - Element size
  - Experimental
  - Reference
  - Text Direction
  - Writing Mode
  - max-inline-size
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>max-inline-size</code></strong> <a href="/en-US/docs/Web/CSS" title="CSS">CSS</a> property defines the horizontal or vertical maximum size of an element's block, depending on its writing mode. It corresponds to either the {{cssxref("max-width")}} or the {{cssxref("max-height")}} property, depending on the value of {{cssxref("writing-mode")}}.</span></p>

<p>If the writing mode is vertically oriented, the value of <code>max-inline-size</code> relates to the maximal height of the element; otherwise, it relates to the maximal width of the element. A related property is {{cssxref("max-block-size")}}, which defines the other dimension of the element.</p>

<div>{{EmbedInteractiveExample("pages/css/max-inline-size.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* &lt;length&gt; values */
max-inline-size: 300px;
max-inline-size: 25em;

/* &lt;percentage&gt; values */
max-inline-size: 75%;

/* Keyword values */
max-inline-size: auto;
max-inline-size: max-content;
max-inline-size: min-content;
max-inline-size: fit-content(20em);

/* Global values */
max-inline-size: inherit;
max-inline-size: initial;
max-inline-size: unset;
</pre>

<h3 id="Values">Values</h3>

<p>The <code>max-inline-size</code> property takes the same values as the {{cssxref("max-width")}} and {{cssxref("max-height")}} properties.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_maximum_inline_size_in_pixels">Setting maximum inline size in pixels</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="exampleText"&gt;Example text&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.exampleText {
  writing-mode: vertical-rl;
  background-color: yellow;
  block-size: 100%;
  max-inline-size: 200px;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_maximum_inline_size_in_pixels")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS Logical Properties", "#propdef-max-inline-size", "max-inline-size")}}</td>
   <td>{{Spec2("CSS Logical Properties")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.max-inline-size")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The mapped physical properties: {{cssxref("max-width")}} and {{cssxref("max-height")}}</li>
 <li>{{cssxref("writing-mode")}}</li>
</ul>
